/*------------------------------------------------------------
 * Carousel
 *------------------------------------------------------------*/

.hygge-blog--style-carousel {
	position: relative; // needed for loader
	min-height: 350px;
}

.hygge-carousel {
	position: relative;
	.transition( ~"opacity 0.7s cubic-bezier(0.7, 0, 0.3, 1)" );

	.js & {
		opacity: 0;
		overflow: hidden;
		min-height: 100px;
		max-height: 200px;
	}

	& + .hygge-loader--carousel {
		opacity: 1;
		position: absolute;
		top: 100px;
		left: 50%;
		margin: 0px 0 0 -15px;
	}

	.processed& {
		opacity: 1;
		min-height: 0;
		max-height: none;
		// .animation( ~"hygge-fade-in 0.7s 1 cubic-bezier(0.7, 0, 0.3, 1)" );

		& + .hygge-loader--carousel {
			opacity: 0;
			visibility: hidden;
		}
	}

	.hygge-carousel__items {
		margin: auto;
	}

	.hygge-carousel__inwrap {
		// overflow: auto;
		overflow: hidden;

		@media @desktop {
			overflow: hidden;
		}
	}

	&__items {
		position: relative;
		overflow: hidden;
		.clearfix;
	}

	.hygge-carousel__item {
		position: relative;
		float: left;
	}
}
